Vulnerability CVE-2019-16508


Published: 2019-10-01

Description:
The Imagination Technologies driver for Chrome OS before R74-11895.B, R75 before R75-12105.B, and R76 before R76-12208.0.0 allows attackers to trigger an Integer Overflow and gain privileges via a malicious application. This occurs because of intentional access for the GPU process to /dev/dri/card1 and the PowerVR ioctl handler, as demonstrated by PVRSRVBridgeSyncPrimOpCreate.

Type:

CWE-190

(Integer Overflow or Wraparound)

Vendor: Google
Product: Chrome os 
Version:
8.0.552.344
8.0.552.343
8.0.552.342
62.0.3202.74
59.0.3071.92
59.0.3071.91
54.0.2817.0
53.0.2785.144
53.0.2785.103
26.0.1410.9
26.0.1410.8
26.0.1410.7
26.0.1410.6
26.0.1410.56
26.0.1410.55
26.0.1410.54
26.0.1410.52
26.0.1410.51
26.0.1410.50
26.0.1410.5
26.0.1410.49
26.0.1410.48
26.0.1410.47
26.0.1410.46
26.0.1410.45
26.0.1410.44
26.0.1410.43
26.0.1410.42
26.0.1410.41
26.0.1410.40
26.0.1410.4
26.0.1410.39
26.0.1410.38
26.0.1410.37
26.0.1410.36
26.0.1410.35
26.0.1410.34
26.0.1410.33
26.0.1410.32
26.0.1410.31
26.0.1410.30
26.0.1410.3
26.0.1410.29
26.0.1410.28
26.0.1410.27
26.0.1410.26
26.0.1410.25
26.0.1410.24
26.0.1410.23
26.0.1410.22
26.0.1410.21
26.0.1410.20
26.0.1410.19
26.0.1410.18
26.0.1410.17
26.0.1410.16
26.0.1410.15
26.0.1410.14
26.0.1410.12
26.0.1410.11
26.0.1410.10
26.0.1410.1
26.0.1410.0
25.0.1364.99
25.0.1364.98
25.0.1364.95
25.0.1364.93
25.0.1364.92
25.0.1364.91
25.0.1364.90
25.0.1364.9
25.0.1364.89
25.0.1364.88
25.0.1364.87
25.0.1364.86
25.0.1364.85
25.0.1364.84
25.0.1364.82
25.0.1364.81
25.0.1364.80
25.0.1364.8
25.0.1364.79
25.0.1364.78
25.0.1364.77
25.0.1364.76
25.0.1364.75
25.0.1364.74
25.0.1364.73
25.0.1364.72
25.0.1364.70
25.0.1364.7
25.0.1364.68
25.0.1364.67
25.0.1364.66
25.0.1364.65
25.0.1364.63
25.0.1364.62
25.0.1364.61
25.0.1364.58
25.0.1364.57
See more versions on NVD

CVSS2 => (AV:N/AC:M/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
9.3/10
10/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete

 References:
https://bugs.chromium.org/p/chromium/issues/detail?id=960106

Related CVE
CVE-2019-9467
In the Bootloader, there is a possible kernel command injection due to missing command sanitization. This could lead to a local elevation of privilege with System execution privileges needed. User interaction is not needed for exploitation.Product: A...
CVE-2019-9466
In the Broadcom Wi-Fi driver, there is a possible out of bounds write due to improper input validation. This could lead to remote code execution with no additional execution privileges needed. User interaction is not needed for exploitation.Product: ...
CVE-2019-2233
In getUserCount and getCount of UserSwitcherController.java, there is possible new user creation due to a logic error. This could lead to local escalation of privilege for an attacker who has physical access to the device with no additional execution...
CVE-2019-2214
In binder_transaction of binder.c, there is a possible out of bounds write due to a missing bounds check. This could lead to local escalation of privilege with no additional execution privileges needed. User interaction is not needed for exploitation...
CVE-2019-2213
In binder_free_transaction of binder.c, there is a possible use-after-free due to a race condition. This could lead to local escalation of privilege with no additional execution privileges needed. User interaction is not needed for exploitation.Produ...
CVE-2019-2212
In poisson_distribution of random, there is an out of bounds read. This could lead to local information disclosure with no additional execution privileges needed. User interaction is not needed for exploitation.Product: AndroidVersions: Android-8.0 A...
CVE-2019-2211
In createProjectionMapForQuery of TvProvider.java, there is possible SQL injection. This could lead to local information disclosure with no additional execution privileges needed. User interaction is not needed for exploitation.Product: AndroidVersio...
CVE-2019-2210
In load_logging_config of qmi_vs_service.cc, there is a possible out of bounds write due to a heap buffer overflow. This could lead to local escalation of privilege with no additional execution privileges needed. User interaction is not needed for ex...

Copyright 2019, cxsecurity.com

 

Back to Top